#ifndef CALC_H
#define CALC_H

#include <pebble.h>
#include "pebblisp.h"

#define SMAX_LENGTH 256
#define MAX_LENGTH 11
#define END_PHRASE "END"

#define CODE_PKEY 1

// Layers
Window *s_window;
TextLayer *s_input_text_layer;
TextLayer *s_result_text_layer;

// PebbLisp environment
static struct Environment env;

// Live code text
char mytext[SMAX_LENGTH] = "";

// The actual displayed code text
char temptext[SMAX_LENGTH] = "";

// The result of execution
char resulttext[MAX_LENGTH] = "";

char *tokens[] = {
    "  ", "(", ")", 
    "+ ", "- ", "* ", "/ ",
    "1","2","3",
    "4","5","6",
    "7","8","9", "0",
    "a", "b", "c", "d", "e", 
    "= ", "< ", "> ", 
    "def", "if", "\n",
    END_PHRASE
};

#define TOKEN_END 27

#endif
